//
//  ViewController.swift
//  RxButtonExample
//
//  Created by Michael Ovchinnikov on 19/03/2019.
//  Copyright © 2019 Michael Ovchinnikov. All rights reserved.
//

import UIKit

import RxSwift
import RxCocoa

class ViewController: UIViewController {
    
    @IBOutlet weak var countLabel: UILabel!
    @IBOutlet weak var tapButton: UIButton!
    
    var count = 0
    var disposeBag = DisposeBag()
    
    override func viewDidLoad() {
        super.viewDidLoad()
        
        countLabel.text = "\(count)"
        
        tapButton.rx
            .tap
            .throttle(1.0, scheduler: MainScheduler.instance)
            .subscribe(onNext: { [weak self] in
                self?.count += 1
                self?.countLabel.text = "\(self?.count ?? 0)"
            })
            .disposed(by: disposeBag)
    }
    
    
}

